package es.uv.saic.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uv.saic.domain.IndicadorEnquestaTmp;
import es.uv.saic.domain.IndicadorEnquestaTmpRepository;
import es.uv.saic.dto.IndicadorEnquestaTmpDup;

@Service
public class IndicadorEnquestaTmpService {

	@Autowired
	private IndicadorEnquestaTmpRepository r;
	
	public List<IndicadorEnquestaTmp> findAll() {
		return this.r.findAll();
	}
	
	public List<IndicadorEnquestaTmp> findByEnquestaCursAmbitEstudi(String enquesta, Integer curs, String ambit, String estudi) {
		return this.r.findByEnquestaCursAmbitEstudi(enquesta, curs, ambit, estudi);
	}
	
	public int deleteByEnquesta(String enquesta) {
		return this.r.deleteByEnquesta(enquesta);
	}
	
	public int deleteByEnquestaCursAmbitEstudi(String enquesta, Integer curs, String ambit, String estudi) {
		return this.r.deleteByEnquestaCursAmbitEstudi(enquesta, curs, ambit, estudi);
	}
	
	public List<IndicadorEnquestaTmpDup> checkDuplicates(String enquesta){
		return this.r.checkDupicates(enquesta);
	}

	public Integer deleteFromCurrent(String enquesta){
		return this.r.deleteFromCurrent(enquesta);
	}

	public Integer deleteFromPending(String enquesta){
		return this.r.deleteFromPending(enquesta);
	}

	public Integer deleteDuplicates(String enquesta){
		return this.r.deleteDuplicates(enquesta);
	}
	
	public Integer countByEnquesta(String enquesta) {
		return this.r.countByEnquesta(enquesta);
	}
	
	public List<IndicadorEnquestaTmpDup> checkIntegrity(String enquesta){
		return this.r.checkIntegrity(enquesta);
	}
	
	public void deleteAll() {
		this.r.deleteAll();
		this.r.flush();
	}
	
	public void save(IndicadorEnquestaTmp x) {
		this.r.save(x);
		this.r.flush();
	}
	
	public void saveAll(List<IndicadorEnquestaTmp> l) {
		this.r.saveAll(l);
		this.r.flush();
	}
	
}
